#include "executionresult.h"

ExecutionResult::ExecutionResult(ExecutionResult &e)
{
    keyGenerationTime = e.getKeyGenerationTime();
    encryptionTime = e.getEncryptionTime();
    decryptionTime = e.getDecryptionTime();
}

ExecutionResult::ExecutionResult(int k, int e, int d)
{
    keyGenerationTime = k;
    encryptionTime = e;
    decryptionTime = d;
}

ExecutionResult::~ExecutionResult(){

}


void ExecutionResult::setKeyGenerationTime(int t){
    keyGenerationTime = t;
}


void ExecutionResult::setKeyEncryptionTime(int t){
    encryptionTime = t;
}


void ExecutionResult::setKeyDecryptionTime(int t){
    decryptionTime = t;
}

int ExecutionResult::getKeyGenerationTime(){
    return keyGenerationTime;
}

int ExecutionResult::getEncryptionTime(){
    return encryptionTime;
}

int ExecutionResult::getDecryptionTime(){
    return decryptionTime;
}
